ALLEGRO_FOR_EACH_FS_ENTRY_RESULT(3)

NAME

ALLEGRO_FOR_EACH_FS_ENTRY_RESULT - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef enum ALLEGRO_FOR_EACH_FS_ENTRY_RESULT {

DESCRIPTION

Return values for the callbacks of al_for_each_fs_entry(3) and for that function itself.

•   ALLEGRO_FOR_EACH_FS_ENTRY_ERROR - An error ocurred.

•   ALLEGRO_FOR_EACH_FS_ENTRY_OK - Continue normally and recurse into directories.

•   ALLEGRO_FOR_EACH_FS_ENTRY_SKIP - Continue but do NOT recusively descend.

•   ALLEGRO_FOR_EACH_FS_ENTRY_STOP - Stop iterating and return.

SEE ALSO

al_for_each_fs_entry(3)

SINCE

5.1.9